Description

Methods to save a file are different in different commands and plugins, e.g.:

    -  sometimes the file extension has to be chosen, sometimes not

    -  sometimes the file format cannot be chosen (e.g. for interpolation plugin)

    -  the target directory is not always the same.

We should have an uniform method, and use it consistently.

Similarly for Open file.

History

#1 - 2011-09-24 02:33 AM - Jürgen Fischer

- Tracker changed from Bug report to Feature request

#2 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2018-01-29 07:20 PM - Paolo Cavallini

- Description updated

We should make it clear the Processing approach is the one to follow, also in plugins.

#7 - 2018-03-07 04:17 PM - Paolo Cavallini

- Resolution set to worksforme

- Status changed from Open to Closed

Now (QGIS 3) core plugins have been moved to Processing, so probably this ticket is useless.
